[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogButtonsEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements an enumerator for buttons defined in a Task dialog.

## Declaration

Source position: dialogs.pp line 664

`type TTaskDialogButtonsEnumerator = class`
`public`
`constructor Create();` |  | Constructor for the class instance.
`function GetCurrent;` |  | Gets the value for the Current property.
`function MoveNext;` |  | Positions the enumerator on the next button in the collection.
`property Current: TTaskDialogBaseButtonItem; [r]` |  | Button at the current position for the enumerator.
`end;`

## Inheritance

`TTaskDialogButtonsEnumerator` |  | Implements an enumerator for buttons defined in a Task dialog.
`TObject`